# Enums and Flags

## Enumerations
enum | gtksourceview::SourceSmartHomeEndType { gtksourceview::SOURCE_SMART_HOME_END_DISABLED, gtksourceview::SOURCE_SMART_HOME_END_BEFORE, gtksourceview::SOURCE_SMART_HOME_END_AFTER, gtksourceview::SOURCE_SMART_HOME_END_ALWAYS }

## Detailed Description

## Enumeration Type Documentation

enum gtksourceview::SourceSmartHomeEndType

Enumerator:

  SOURCE_SMART_HOME_END_DISABLED |
  SOURCE_SMART_HOME_END_BEFORE |
  SOURCE_SMART_HOME_END_AFTER |
  SOURCE_SMART_HOME_END_ALWAYS |